#include "nextpageframe.h"
#include "ui_nextpageframe.h"

NextPageFrame::NextPageFrame(QWidget *parent) :
    ClickedFrame(parent),
    ui(new Ui::NextPageFrame)
{
    ui->setupUi(this);
}

NextPageFrame::~NextPageFrame()
{
    delete ui;
}

void NextPageFrame::setTitle(QString text)
{
    ui->label_name->setText(text);
}

void NextPageFrame::setStatusWidget(QWidget *w)
{
    if(w == nullptr) return;

    while (ui->layout_status->count()) {
        QLayoutItem * item = ui->layout_status->takeAt(0);
        if(item->widget()) item->widget()->deleteLater();
        delete item;
    }

    ui->layout_status->addWidget(w);
}

void NextPageFrame::hideLabelNext()
{
    ui->label_next->setVisible(false);
}
