#include "cableadd.h"
#include "ui_cableadd.h"
#include <QFile>

CableAdd::CableAdd(QWidget *parent) :
    Page(parent),
    ui(new Ui::CableAdd)
{
    ui->setupUi(this);

    QFile f(":/qss/cableadd.qss");
    if(f.open(QIODevice::ReadOnly))
    {
        QString style = f.readAll().replace("\n", "");
        this->setStyleSheet(style);
    }

    initui();
}

CableAdd::~CableAdd()
{
    delete ui;
}

void CableAdd::backBtnClicked()
{
    //
}

void CableAdd::applyBtnClicked()
{
    //
}

void CableAdd::refreshPage()
{

}

void CableAdd::initui()
{
    if(!ipv4){
        ipv4 = new IPSetting(this,"",true);
        ui->lay_v4->addWidget(ipv4);
    }
    if(!ipv6){
        ipv6 = new IPSetting(this,"",false);
        ui->lay_v6->addWidget(ipv6);
    }
}
