#ifndef CABLEADD_H
#define CABLEADD_H

#include <QWidget>
#include "ipsetting.h"
#include "../baseui/page.h"

namespace Ui {
class CableAdd;
}

class CableAdd : public Page
{
    Q_OBJECT

public:
    explicit CableAdd(QWidget *parent = nullptr);
    ~CableAdd();

public:
    //页面唯一键
    static QString pageKey() {return "cablenetwork_add";}

    //页面标题
    virtual QString pageTitle() {return tr("CableNetwork");}

    //Back按钮按下后的接口，主要用于back之前应该处理的一些操作
    virtual void backBtnClicked();

    //apply按钮按下后的接口，默认do nothings
    virtual void applyBtnClicked();

    //每次进入该界面需要做的操作
    virtual void refreshPage();

private:
    void initui();
private:
    Ui::CableAdd *ui;
    IPSetting * ipv4{nullptr};
    IPSetting * ipv6{nullptr};
};

#endif // CABLEADD_H
