#ifndef DETAILINFO_H
#define DETAILINFO_H

#include <QFrame>
#include "netdetailinfo.h"
#include <NetworkManagerQt/WiredDevice>
namespace Ui {
class DetailInfo;
}

class DetailInfo : public QFrame
{
    Q_OBJECT

public:
    explicit DetailInfo(QWidget *parent = nullptr);
    ~DetailInfo();
    void setDetailInfo(NetDetailInfo *);
    void setWired(NetworkManager::Device::Ptr,NetworkManager::Connection::Ptr);
private:
    bool checkactive();
private:
    Ui::DetailInfo *ui;
    NetworkManager::Connection::Ptr m_conn;
};

#endif // DETAILINFO_H
