#include "screenstack.h"
#include "../baseui/common.h"
#include "screenmonitor.h"

ScreenStack::ScreenStack(QWidget *parent) : StackPage(parent)
{
    this->setFirstPage(ScreenMonitor::pageKey());

    //判断是虚拟机并且是zte版本，则设置禁用
    if(Common::checkZteVersion() && Common::checkVirtualMachine())
        this->setEnabled(false);
}

Page *ScreenStack::createPage(const QString key)
{
    if(key == ScreenMonitor::pageKey())
    {
        ScreenMonitor * page = new ScreenMonitor(this);
        return page;
    }
    return nullptr;
}
