#include "categorizedmodelitem.h"

CategorizedModelItem::CategorizedModelItem(const QString &category,int index):mCategoryName(category),
    mindex(index),
    rowheight(40)
{
}
CategorizedModelItem::CategorizedModelItem(const QIcon &iconName, const QString &title, const QString &id,int index):
    QStandardItem(iconName, title),
    mId(id),
    mindex(index),
    rowheight(40),
    mtitle(title)
{
}

QString CategorizedModelItem::category()
{
    return mCategoryName;
}

QString CategorizedModelItem::id()
{
    return mId;
}

QString CategorizedModelItem::title()
{
    return mtitle;
}

void CategorizedModelItem::setheight(int height){
    rowheight = height;
}

int CategorizedModelItem::height(){
    return rowheight;
}

int CategorizedModelItem::index()
{
    return mindex;
}
