#ifndef SYSTEMINFOINSTANCE_H
#define SYSTEMINFOINSTANCE_H

#include <QObject>

class SystemInfoInstance : public QObject
{
    Q_OBJECT
    Q_PROPERTY(QString hostName READ hostName WRITE setHostName NOTIFY hostNameChanged)
private:
    explicit SystemInfoInstance(QObject *parent = nullptr);

public:
    static SystemInfoInstance* ins();

    //@hostName
    QString hostName() {return _hostName;}
    void setHostName(const QString name);

    //@


signals:
    //hostname变化的信号
    void hostNameChanged(QString name);

private:
    void initIns();

private:
    QString _hostName;
};

#endif // SYSTEMINFOINSTANCE_H
