#ifndef SYSTEMINFOMANAGER_H
#define SYSTEMINFOMANAGER_H

#include <QObject>
#include <QMap>

class SystemInfoManager : public QObject
{
    Q_OBJECT
private:
    explicit SystemInfoManager(QObject *parent = nullptr);

public:
    static SystemInfoManager * getIns();

    QString getSystemInfo(const QString type);
    QStringList getDisksInfo();

signals:

public slots:

private Q_SLOTS:
    void onSysInfoChanged();
    void onOsReleaseChanged();
    void onCPUChanged();
    void onRAMChanged();

private:
    QMap<QString , QString> mSystemInfo;
};

#endif // SYSTEMINFOMANAGER_H
