#ifndef SYSTEMINFOSTACK_H
#define SYSTEMINFOSTACK_H

#include <QWidget>
#include "../baseui/stackpage.h"

class SystemInfoStack : public StackPage
{
    Q_OBJECT
public:
    explicit SystemInfoStack(QWidget *parent = nullptr);

protected:
    //创建页面，要在子类中实现
    virtual Page* createPage(const QString key);

private Q_SLOTS:
    void slotAgreementClicked(QString actversion);
    void slotPolicyClicked();
    void slotActivateComplete(QString result);
};

#endif // SYSTEMINFOSTACK_H
