#ifndef SYSTEMSETTINGS_H
#define SYSTEMSETTINGS_H

#include <QObject>
class QTimer;
class SystemSettings : public QObject
{
    Q_OBJECT
public:
    explicit SystemSettings(QObject *parent = nullptr);
public slots:
    bool getAutoClean();
    QStringList getCleanList();
    void setAutoClean(bool opened);
    void setCleanList(const QStringList &logList);
signals:

private:
    void watchXsessionError();
    QTimer *timer;
};

#endif // SYSTEMSETTINGS_H
