#ifndef CABLENETWORKSTACK_H
#define CABLENETWORKSTACK_H

#include <NetworkManagerQt/WiredDevice>
#include "../baseui/stackpage.h"

class CableNetworkStack : public StackPage
{
    Q_OBJECT
public:
    explicit CableNetworkStack(QWidget *parent = nullptr);

protected:
    //创建页面，要在子类中实现
    virtual Page *createPage(const QString key);

private Q_SLOTS:
    void slotCableDetail(NetworkManager::Device::Ptr device, NetworkManager::Connection::Ptr conn);
};

#endif // CABLENETWORKSTACK_H
