#ifndef IPSETTING_H
#define IPSETTING_H

#include <QWidget>
#include <NetworkManagerQt/WiredDevice>

namespace Ui {
class IPSetting;
}

class IPSetting : public QWidget
{
    Q_OBJECT

public:
    explicit IPSetting(QWidget *parent = nullptr,QString name= "enp1s0", bool ipv4 = true);
    ~IPSetting();
    bool save();
    void clear();
    void setdevice(QString name,NetworkManager::Connection::Ptr);
    void refresh();
    bool checkactive();

private Q_SLOTS:
    void onMethodIndexChanged(int index);
private:
    Ui::IPSetting *ui;
    QString intername;
    bool bipv4;
    NetworkManager::Connection::Ptr m_conn;

};

#endif // IPSETTING_H
