#ifndef NETDETAILINFO_H
#define NETDETAILINFO_H
#include <QObject>

class NetDetailInfo
{
public:
    NetDetailInfo();
    void setNetName(QString);
    void setName(QString);
    void setIP_V4(QString);
    void setIP_V6(QString);
    void setMask(QString);
    void setMac(QString);
    void setGateWay(QString);
    void setFirstDNS(QString);
    void setSecondDNS(QString);
    QString getNetName();
    QString getIP_V4();
    QString getIP_V6();
    QString getMask();
    QString getMac();
    QString getGateWay();
    QString getFirstDNS();
    QString getSecondDNS();
    QString getName();
private:
    QString netname;
    QString ip_v4;
    QString ip_v6;
    QString mask;
    QString mac;
    QString gateway;
    QString f_dns;
    QString sec_dns;
    QString name;
};

#endif // NETDETAILINFO_H
