#include "printer.h"
#include "ui_printer.h"
#include <QProcess>
Printer::Printer(QWidget *parent) :
    Page(parent),
    ui(new Ui::Printer)
{
    ui->setupUi(this);
    QFile f(":/qss/printer.qss");
    if(f.open(QIODevice::ReadOnly))
    {
        QString style = f.readAll().replace("\n", "");
        this->setStyleSheet(style);
    }
    ui->frame->setTitle(tr("Printer"));
    connect(ui->frame,&ClickedFrame::clicked,this,&Printer::onProcess);
}

Printer::~Printer()
{
    delete ui;
}

void Printer::refreshPage()
{
    //
}
void Printer::onProcess()
{
    QProcess::startDetached("system-config-printer");
}


