#ifndef PRINTER_H
#define PRINTER_H

#include "../baseui/page.h"

namespace Ui {
class Printer;
}

class Printer : public Page
{
    Q_OBJECT

public:
    explicit Printer(QWidget *parent = nullptr);
    ~Printer();

public:
    //页面唯一键
    static QString pageKey() {return "printer";}

    //页面标题
    virtual QString pageTitle() {return tr("Printer");}

    //该页面底部的按钮QPair<key, text>
    virtual QList<QPair<int, QString> > buttomBtnsPair(){
        return QList<QPair<int, QString> >();
    }
    virtual QList<int> buttomBtnsVisible(){ return QList<int>(); }

    //刷新界面显示接口
    virtual void refreshPage();

private Q_SLOTS:
    void onProcess();

private:
    Ui::Printer *ui;
};


#endif // PRINTER_H
