#include "printerstack.h"
#include "printer.h"

PrinterStack::PrinterStack(QWidget *parent) : StackPage(parent)
{
    this->setFirstPage(Printer::pageKey());
}

Page *PrinterStack::createPage(const QString key)
{
    if(key == Printer::pageKey())
    {
        Printer * page = new Printer(this);
        return page;
    }
    return nullptr;
}
