#ifndef CATEGORIZEDITEMDELEGATE_H
#define CATEGORIZEDITEMDELEGATE_H

#include <QStyledItemDelegate>

class CategorizedItemDelegate : public QStyledItemDelegate
{
    Q_OBJECT
public:
    explicit CategorizedItemDelegate(QObject *parent = nullptr);
    virtual ~CategorizedItemDelegate();
    void paint(QPainter *painter, const QStyleOptionViewItem &option,
               const QModelIndex &index) const override;
    QSize sizeHint(const QStyleOptionViewItem &option,
                   const QModelIndex &index) const override;
};

#endif // CATEGORIZEDITEMDELEGATE_H
