#ifndef CATEGORIZEDMODELITEM_H
#define CATEGORIZEDMODELITEM_H

#include <QStandardItem>
#include <PluginInfo>

class CategorizedModelItem : public QStandardItem
{
public:
    explicit CategorizedModelItem(const QString &category,int index =0);
    explicit CategorizedModelItem(const QIcon &iconName, const QString &title, const QString &id,int index =0);
    QString category();
    QString id();
    int index();
    QString title();
    void setheight(int height);
    int height();
private:
    QString  mId = "";
    QString mCategoryName ="";
    QString mtitle ="";
    int mindex;
    int rowheight;
};

#endif // CATEGORIZEDMODELITEM_H
