#ifndef SETTINGSPLUGINLIBRARY_H
#define SETTINGSPLUGINLIBRARY_H
#include "ndesettingsglobals.h"
#include <QtPlugin>
#include <Nde/PluginInfo>
#include <QWidget>
#include "../baseui/stackpage.h"

class NDE_SETTINGS_API SettingsPluginLibrary
{
public:
    SettingsPluginLibrary() {}
    virtual ~SettingsPluginLibrary() {}
    virtual StackPage* create(QWidget *parent = nullptr) const = 0;
};

Q_DECLARE_INTERFACE(SettingsPluginLibrary,
                    "nde/SystemSettings/PluginInterface/1.0")
#endif // SYSTEMSETTINGSPLUGINLIBRARY_H
